﻿Imports System.Xml.Serialization
Imports Syncfusion.UI.Xaml.Diagram

Public Class Ignore

    Public Shared Function GetTypes() As XmlAttributeOverrides

        Dim _overrides As New XmlAttributeOverrides()
        Dim _attribs = New XmlAttributes()
        _attribs.XmlIgnore = True
        '_attribs.XmlElements.Add(New XmlElementAttribute("ContentTemplate"))

        ' << Node >>
        _overrides.Add(GetType(NodeViewModel), "AnnotationConstraints", _attribs)
        _overrides.Add(GetType(NodeViewModel), "Constraints", _attribs)
        _overrides.Add(GetType(NodeViewModel), "Content", _attribs)
        _overrides.Add(GetType(NodeViewModel), "ContentTemplate", _attribs)
        _overrides.Add(GetType(NodeViewModel), "Flip", _attribs)
        _overrides.Add(GetType(NodeViewModel), "FlipMode", _attribs)
        _overrides.Add(GetType(NodeViewModel), "HitPadding", _attribs)
        _overrides.Add(GetType(NodeViewModel), "IsExpanded", _attribs)
        _overrides.Add(GetType(NodeViewModel), "MaxHeight", _attribs)
        _overrides.Add(GetType(NodeViewModel), "MaxWidth", _attribs)
        _overrides.Add(GetType(NodeViewModel), "Menu", _attribs)
        _overrides.Add(GetType(NodeViewModel), "MinHeight", _attribs)
        _overrides.Add(GetType(NodeViewModel), "MinWidth", _attribs)
        _overrides.Add(GetType(NodeViewModel), "Pivot", _attribs)
        _overrides.Add(GetType(NodeViewModel), "PortVisibility", _attribs)
        _overrides.Add(GetType(NodeViewModel), "RotateAngle", _attribs)
        _overrides.Add(GetType(NodeViewModel), "Shape", _attribs)
        _overrides.Add(GetType(NodeViewModel), "ShapeStyle", _attribs)
        _overrides.Add(GetType(NodeViewModel), "SnapToObject", _attribs)

        _overrides.Add(GetType(NodeViewModel), "Ports", _attribs)
        '_overrides.Add(GetType(NodeViewModel), "UnitHeight", _attribs)
        '_overrides.Add(GetType(NodeViewModel), "UnitWidth", _attribs)

        _overrides.Add(GetType(GroupableViewModel), "Annotations", _attribs)
        _overrides.Add(GetType(GroupableViewModel), "ParentGroup", _attribs)

        _overrides.Add(GetType(DiagramElementViewModel), "ID", _attribs)
        _overrides.Add(GetType(DiagramElementViewModel), "Info", _attribs)
        _overrides.Add(GetType(DiagramElementViewModel), "Key", _attribs)


        '<< Node Port >>
        _overrides.Add(GetType(NodePortViewModel), "ConnectionDirection", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "ConnectorPadding", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "Constraints", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "Displacement", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "Node", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "PortVisibility", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "Shape", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "ShapeStyle", _attribs)
        _overrides.Add(GetType(NodePortViewModel), "UnitMode", _attribs)


        Return _overrides
    End Function


End Class
