﻿
Imports Syncfusion.UI.Xaml.Diagram

Class MainWindow

    Dim _activity As New AutxActivity
    Private Sub MainWindow_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded

        DirectCast(diagramControl.SelectedItems, SelectorViewModel).Commands = Nothing

        Dim _component1 As New AutxComponent With {.OffsetX = 200, .OffsetY = 300, .UnitHeight = 75, .UnitWidth = 150}
        Dim _port1 As New AutxPort With {.NodeOffsetX = 0.5, .NodeOffsetY = 0.5, .ID = "Hi"}
        _component1.Nodeports.Add(_port1)
        _activity.Items.Add(_component1)


        Dim _component2 As New AutxComponent With {.OffsetX = 350, .OffsetY = 150, .UnitHeight = 75, .UnitWidth = 150}
        Dim _port2 As New AutxPort With {.NodeOffsetX = 0.2, .NodeOffsetY = 0.7, .ID = "hello"}
        _component2.Nodeports.Add(_port2)
        _activity.Items.Add(_component2)

        _activity.Connections.Add(New AutxConnection With {.SourcePortID = _port1.ID, .SourceNodeID = _component1.ID,
                                  .TargetPortID = _port2.ID, .TargetNodeID = _component2.ID})


        '_activity.Connections.Add(New AutxConnection With {.SourceConnectorID = _port1.ID, .SourceNodeID = _component1.ID})
        '_activity.Connections.Add(New AutxConnection With {.SourceConnectorID = _port2.ID, .SourceNodeID = _component2.ID})

        Me.DataContext = _activity

    End Sub


    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles btnSave.Click
        Serializers.ObjectToXMLFile(_activity, GetType(AutxActivity), "C:\Users\Srika\AppData\Local\INTELLIBOT\TestDiagram.Xml")
    End Sub

    Private Sub btnOpen_Click(sender As Object, e As RoutedEventArgs) Handles btnOpen.Click
        _activity = Serializers.XMLFileToObject("C:\Users\Srika\AppData\Local\INTELLIBOT\TestDiagram.Xml", GetType(AutxActivity))
        Me.DataContext = _activity
    End Sub

End Class
